#include <iostream>
#include <sstream>

#include "TFile.h"
#include "MyFunctionMap.h"

void EvaluateFormulas(){
  TFile testfile("testfile.root", "read");

  MyFunctionMap* obj; testfile.GetObject("object", obj);
  const TF1 & f_ref = obj->get("f1");
  TF1 f_copy = obj->get("f1");
  //testfile.GetObject("object", f1);
  f_ref.Print("V");
  std::cout << "value of f1 at x = 1 is " << f_ref.Eval(1) << std::endl;
  std::cout << "value of f1 copy at x = 1 is " << f_copy.Eval(1) << std::endl;

  testfile.Close();
}
